| POST | /RestApi/translations/retry |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| TranslationStatus | body | TranslationStatus | No | |
| Ids | body | Guid[] | No | |
| ChangedFieldsOnly | body | bool | No |
| Name | Value | |
|---|---|---|
| Marked | 101 | |
| Sending | 201 | |
| Sent | 202 | |
| Received | 301 | |
| Importing | 302 | |
| Imported | 303 | |
| Completed | 304 | |
| Archived | 401 | |
| Deleted | 402 | |
| Rejected | 403 | |
| SendingError | 501 | |
| ImportingError | 502 | |
| ReceivingError | 503 |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/retry HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}